tigervnc (1.15.0+dfsg-2) unstable; urgency=medium

  [ Stephan Springl ]
  * Fix inetd mode of Xtigervnc. (closes: #1104740)

 -- Joachim Falk <joachim.falk@gmx.de>  Tue, 06 May 2025 00:30:59 +0200

tigervnc (1.15.0+dfsg-1) unstable; urgency=medium

  [ Joachim Falk ]
  * Fresh upstream TigerVNC 1.15.0
    - The native viewer and Unix servers now support the back and forward
      mouse buttons
    - The Unix servers can now handle any number of keys that are missing from
      the server keyboard layout, rather than just a few
    - x0tigervncserver now supports clipboard redirection
    - The native viewer can remember the username and password when
      reconnecting
    - The native viewer can now show a standard arrow cursor, not just a dot
      cursor, if the server cursor is blank
    - tigervncpasswd can now check password complexity with pwquality
  * Cache the VNC PasswordFile. In case the home directory becomes inaccessible,
    e.g., due to an expired Kerberos ticket, the VNC server still needs the
    content of the VNC password file. Otherwise, it is no longer possible to
    log in using the security types VncAuth or X509Vnc. (closes: #1087925)
  * Added missing dependencies to enable hardware-accelerated OpenGL and Vulkan
    APIs. (closes: #1103038)

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 18 Apr 2025 11:01:55 +0200

tigervnc (1.14.1+dfsg-1) unstable; urgency=medium

  [ Joachim Falk ]
  * Fresh upstream TigerVNC 1.14.1
    - Xtigervnc now supports hardware accelerated OpenGL and Vulkan on
      drivers that supports GBM (FOSS drivers and newer Nvidia drivers)
    - The viewers and servers now follow the XDG Base Directory
      Specification, like "~/.config", for storing files in the home
      directory. Existing users will continue using the legacy "~/.vnc"
      directory, but new users will get the XDG directories.
    - The native viewer now supports Apple's Diffie-Hellman and UltraVNC's
      MSLogonII authentication methods
    - The Java viewer now supports RealVNC's RSA-AES authentication method
    - The native viewer has received a mild refresh of the UI appearance
    - Reverse connections can now be forced to be view-only
    - The special "%u" marker can be specified for "PlainUsers" to
      dynamically indicate the user running the server
    - X0tigervnc now supports systemd socket activation
  * TigerVNC configuration migrated to the ~/.config/tigervnc directory.
    Thus, updated the wrapper scripts.
  * TigerVNC configuration migrated to the ~/.config/tigervnc directory.
    Thus, updated the Debian specific man pages.
  * Wrapper scripts touch files in /tmp/tigervnc.* directory hourly to
    keep them active in case of /tmp cleaner.
  * Wrapper scripts tigervncserver and x0tigervncserver support the -pidfile
    option, allowing to specify the PID file of the VNC server to be started.
    (closes: #1025457)

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 10 Nov 2024 18:57:25 +0100

tigervnc (1.13.1+dfsg-3) unstable; urgency=medium

  [ Joachim Falk ]
  * Clarify status of CVE-2014-8240-849479.patch
  * Disabled obsolete patches 0000-find-fltk-libs.patch and
    0002-fix-linking.patch
  * No longer change the wording of the X0tigervnc man page but still fix
    option dashes to silence Lintian
  * Updated install of /lib/systemd/system/tigervncserver@.service to
    /usr/lib/systemd/system/tigervncserver@.service (closes: #1073756)

 -- Joachim Falk <joachim.falk@gmx.de>  Sat, 13 Jul 2024 20:32:14 +0200

tigervnc (1.13.1+dfsg-2) unstable; urgency=medium

  [ Bjoern Kahl ]
  * Handle the "-query" option of Xtigervnc correctly (LP: #2021434).
  * Don't autokill Xtigervnc when the "-noxstartup" option is given.

 -- Joachim Falk <joachim.falk@gmx.de>  Sat, 13 Jan 2024 10:29:13 +0100

tigervnc (1.13.1+dfsg-1) unstable; urgency=medium

  [ Joachim Falk ]
  * Fresh upstream TigerVNC 1.13.1
    - The servers and native viewer now support RealVNC's RSA-AES
      authentication methods and encryption
    - The native viewer is now translated to Romanian and Georgian
    - The native viewer now supports PiKVM's H.264 encoding
    - The display settings for the native viewer have been overhauled to make
      them easier to understand
    - The native viewer now supports adding exceptions for expired
      certificates
    - Lock key synchronization has been re-enabled in the native viewer after
      being accidentally disabled in 1.11.0
    - x0tigervncserver is a bit better at handling differing server and client
      keyboard layout
    - x0tigervncserver now correctly handles zaphod mode
  * tigervncserver and x0tigervncserver error out if ~/.vnc/passwd is group or
    world readable or writeable.
  * tigervncserver and x0tigervncserver support RealVNC's RSA-AES
    authentication methods, i.e., RA2, RA2ne, RA2_256, and RA2ne_256 security
    types.
  * Build with xorg-server-source >= 2:21.1.10 (closes: #1051921) (LP: #2048442).

 -- Joachim Falk <joachim.falk@gmx.de>  Sat, 06 Jan 2024 20:53:33 +0100

tigervnc (1.12.0+dfsg-8) unstable; urgency=medium

  [ Joachim Falk ]
  * Remove the dangling tigervncpasswd alternative if the tigervnc-tools
    package is not installed (closes: #1027288).

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 06 Jan 2023 17:01:22 +0100

tigervnc (1.12.0+dfsg-7) unstable; urgency=medium

  [ Joachim Falk ]
  * Fixed autogeneration of SSL certificates for X509None, X509Vnc, and
    X509Plain security types (LP: #1973292).
  * Fixed /tmp copy lifetime of VNC password, certificate, and key files in
    case of disabled autokill (LP: #1995869).
  * Document ~/.vnc/config in man pages (closes: #1025459).
  * Fixed bug concerning relative -rfbunixpath option values for
    tigervncserver and x0tigervncserver.
  * Consistent ~/.vnc/<host>:<display#>.{log,pid} file location for
    tigervncserver. In case of x0tigervncserver,
    <host>:<display#>-<rfbport#>.{log,pid} or
    <host>:<display#>-<rfbunixpath>.{log,pid} can also be used if multiple
    x0tigervncserver are running for the display (closes: #1025458).
  * Document -rfbunixpath and -rfbunixmode options for tigervncserver and
    x0tigervncserver.
  * Fixed Lintian warnings
    - build-depends-on-obsolete-package libgl1-mesa-dev => libgl-dev
    - build-depends-on-obsolete-package libegl1-mesa-dev => libegl-dev
  * Activated libunwind for armel, armhf, and arm64 after bug #923962 has
    been fixed on those architectures.

 -- Joachim Falk <joachim.falk@gmx.de>  Wed, 28 Dec 2022 17:26:29 +0100

tigervnc (1.12.0+dfsg-6) unstable; urgency=medium

  [ Joachim Falk ]
  * Fixed some undef warnings and a tempdir cleanup error (closes: #1025869)

 -- Joachim Falk <joachim.falk@gmx.de>  Sat, 17 Dec 2022 20:13:58 +0100

tigervnc (1.12.0+dfsg-5) unstable; urgency=medium

  [ Joachim Falk ]
  * Support NFS Kerberos mounted /home directory.
  * Don't leave dangling rfbunixpath socket in case of error.
  * Fixed passing of unknown arguments to Xtigervnc/X0tigervnc

 -- Joachim Falk <joachim.falk@gmx.de>  Sat, 09 Jul 2022 16:10:51 +0200

tigervnc (1.12.0+dfsg-4) unstable; urgency=medium

  * Backported a Debian change applied upstream that provides app stream
    org.tigervnc.xtigervncviewer.metainfo.xml information for the TigerVNC
    viewer.

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 25 Mar 2022 18:06:01 +0100

tigervnc (1.12.0+dfsg-3) unstable; urgency=medium

  * Fix build with xorg-server-21.1.3 (Closes: #1005664)

 -- Joachim Falk <joachim.falk@gmx.de>  Tue, 15 Feb 2022 20:09:59 +0100

tigervnc (1.12.0+dfsg-2) unstable; urgency=medium

  * Re-upload as-is (and source-only).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 30 Jan 2022 17:40:52 +0100

tigervnc (1.12.0+dfsg-1) unstable; urgency=medium

  [ Joachim Falk ]
  * Fresh upstream TigerVNC 1.12.0 (Closes: #880587, #879866, #855350)
  * Updated app stream org.tigervnc.xtigervncviewer.metainfo.xml information
    file for TigerVNC 1.12.0 release.
  * Adjusted options for tigervncserver and x0tigervncserver to correspond to
    TigerVNC 1.12.0 release.
  * Correctly initialize XDG_SESSION_DESKTOP, XDG_CURRENT_DESKTOP,
    XDG_SESSION_TYPE, and XDG_SESSION_CLASS.
  * Refreshed copyright years and bumped version of man pages.
  * Small content tweak in tigervnc.conf.5x (rfbwait option no longer exists).
  * Split of tigervncpasswd from tigervnc-common into its own tigervnc-tools
    package.
  * Fixed some lintian errors.
  * Bumped Standards-Version: to 4.6.0. No changes were needed.
  * Fixed typo in tigervncserver man page. (Closes: #1003715)
  * Clear session argument from config file if -xstartup specified on the
    command line. (Closes: #1000871)
  * Fixed tigervncserver/x0tigervncserver -list for VNC servers not using a
    rfbport from 5900 to 5999. (Closes: #1004365)
  * Support for -rfbunixpath in tigervncserver and x0tigervncserver wrapper
    scripts. (LP: #1892595)
  * Fixed gnome desktop start up when using tigervncserver@.service.
    (Closes: #1004395)
  * Provided example configuration for tigervnc-xorg-extension. However, this
    is still broken due to bug #855441.
  * Applied the following upstream fixes:
    - a6160b Fix formatting of -rfbport in man pages
    - 2daf41 Fix typo in mirror monitor detection
    - 1a729d Fix handling of VMware cursors
    - 88e96d Fix session resize after mirroring on Linux vncviewer

 -- Joachim Falk <joachim.falk@gmx.de>  Wed, 26 Jan 2022 18:19:38 +0100

tigervnc (1.11.0+dfsg-3) unstable; urgency=medium

  [ Joachim Falk ]
  * Fixed warnings use of uninitialized value in string eq at
    /usr/share/perl5/TigerVNC/Config.pm line 401 or 414. (Closes: #1004366)
  * Fixed debian/watch to again detect upstream versions.
  * Bumped Standards-Version: to 4.5.1. No changes needed.
  * Added org.tigervnc.xtigervncviewer.metainfo.xml for appstream

 -- Joachim Falk <joachim.falk@gmx.de>  Sat, 17 Apr 2021 10:22:50 +0200

tigervnc (1.11.0+dfsg-2) unstable; urgency=medium

  [ Joachim Falk ]
  * Properly handle boolean configuration values in tigervnc-standalone-server
    (Closes: #985614).

 -- Joachim Falk <joachim.falk@gmx.de>  Mon, 22 Mar 2021 22:21:54 +0100

tigervnc (1.11.0+dfsg-1) unstable; urgency=medium

  [ Joachim Falk ]
  * Fresh upstream TigerVNC 1.11.0 (Closes: #976002).

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Fix field name case in debian/copyright (COpyright => Copyright).
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Joachim Falk <joachim.falk@gmx.de>  Mon, 22 Feb 2021 18:19:01 +0100

tigervnc (1.10.1+dfsg-9) unstable; urgency=medium

  [ Joachim Falk ]
  * Properly store certificate exceptions in native and java VNC viewer. The
    VNC viewers stored the certificate exceptions as authorities, meaning that
    the owner of a certificate could impersonate any server after a client had
    added an exception. This is issue CVE-2020-26117 (Closes: #971272).

 -- Joachim Falk <joachim.falk@gmx.de>  Mon, 28 Sep 2020 22:43:11 +0200

tigervnc (1.10.1+dfsg-8) unstable; urgency=medium

  [ Antoni Villalonga ]
  * Removed unrequired pristine-tar build dependency
  * Add Antoni Villalonga as Uploader

  [ Joachim Falk ]
  * Handle /etc/default/keyboard configuration.
  * Small tweaks to tigervncserver(1) man page.
  * New $session argument in vnc.conf to specify the X session to start.
  * Improved documentation of vnc.conf.

 -- Joachim Falk <joachim.falk@gmx.de>  Sat, 26 Sep 2020 01:42:30 +0200

tigervnc (1.10.1+dfsg-7) unstable; urgency=medium

  [ Joachim Falk ]
  * Fixed tigervnc-xorg-extension (/usr/lib/xorg/modules/extensions/libvnc.so)
    by reapplying Debian specific libtool work around to link against all
    libtool dependency libs of libvnc.so (Closes: #966238).

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 30 Jul 2020 00:09:05 +0200

tigervnc (1.10.1+dfsg-6) unstable; urgency=medium

  [ Joachim Falk ]
  * Hopefully fixed package builds using targets build-arch and build-indep.

 -- Joachim Falk <joachim.falk@gmx.de>  Mon, 13 Jul 2020 18:09:14 +0200

tigervnc (1.10.1+dfsg-5) unstable; urgency=medium

  [ Joachim Falk ]
  * Fixing lintian errors and warnings
  * Switched away from CDBS to a pure debhelper build system.
  * New try to enable reproducible builds for TigerVNC (Closes: #865753).

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 10 Jul 2020 17:25:13 +0200

tigervnc (1.10.1+dfsg-4) unstable; urgency=medium

  [ Joachim Falk ]
  * Remove Liang Guo <guoliang@debian.org> from uploaders (Closes: #961610).
  * Don't use libunwind for armel, armhf, and arm64 as this library is buggy
    (bug #923962) on those architectures (Closes: #932499).

 -- Joachim Falk <joachim.falk@gmx.de>  Tue, 16 Jun 2020 19:32:44 +0200

tigervnc (1.10.1+dfsg-3) unstable; urgency=medium

  [ Joachim Falk ]
  * Fixed issue "Authentication failure: Out of memory" when
    saving server certificate exceptions
    (https://github.com/TigerVNC/tigervnc/issues/915).

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 09 Apr 2020 08:49:31 +0200

tigervnc (1.10.1+dfsg-2) unstable; urgency=medium

  [ Joachim Falk ]
  * Build fix for xorg-server-source 1.20.7, which moved ddxInputThread
    call from os layer into ddx layer (Closes: #951938).

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 12 Mar 2020 18:57:16 +0100

tigervnc (1.10.1+dfsg-1) unstable; urgency=high

  [ Joachim Falk ]
  * Fresh upstream TigerVNC 1.10.1 fixes CVE-2019-15691, CVE-2019-15692,
    CVE-2019-15693, CVE-2019-15694, and CVE-2019-15695 (Closes: #947428)
  * Fixed bug in PlatformPixelBuffer::setupShm to use correct width and height
    methods.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Dec 2019 15:38:21 +0100

tigervnc (1.9.0+dfsg-4) unstable; urgency=medium

  [ Joachim Falk ]
  * Fix gnome shell integration of xtigervncviewer by updating
    xtigervncviewer.desktop and WM_CLASS of xtigervncviewer. (Closes: #905905)
  * Added missing dependencies to enable RANDR support in x0tigervncserver,
    i.e., tigervnc-scraping-server. Also ensure that dropping these
    dependencies will lead to a fatal build error in the future. (Closes:
    #929410)
  * Bumped version number in Debian provided man pages to TigerVNC 1.9
    (Closes: #932264).
  * Fixed two typos in Debian provided tigervncserver man page.
  * Fix crash on disconnect for TigerVNC 1.9 if internal http server used
    (Closes: #932832).
  * Added missing dependency on netbase for tigervnc-standalone-server
    to enable perl function getprotobyname() (Closes: #939055).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 28 Sep 2019 12:06:12 +0200

tigervnc (1.9.0+dfsg-3) unstable; urgency=medium

  [ Joachim Falk ]
  * Add missing dependency on libunwind-dev according to xorg-server-1.20.3
    control file. (Closes: #911712).
  * Fixed linitian complaints about patches/series.
  * Replace media/icons/tigervnc_16.png of wrong dimensions 20x20 by our fixed
    version.
  * Added debian/upstream/metadata.
  * Updated debian/copyright with excluded files and reason as well as
    refreshed TigerVNC homepage URL.
  * Updated debian/watch to correctly repack into a +dfsg.orig.tar.xz
    excluding files specified in debian/copyright.
  * Updated xtigervncviewer.desktop to shut up AppStream hint errors.

  [ Mike Gabriel ]
  * debian/patches:
    + Add patch headers to all patches currently in use.
  * debian/control:
    + Turn versioned Conflicts: into Breaks:/Replaces: relation.
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + Use my @debian.org mail address in Uploaders: field.
    + Drop B-D on dh-autoreconf. Not required for DH compat level 10 and above.
  * debian/rules:
    + Enable all hardening build flags.
    + Remove empty line at EOF.
  * debian/{control,compat}:
    + Bump DH compat level to version 10 (for now, as CDBS does not yet
      support version 11).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 01 Dec 2018 22:51:29 +0100

tigervnc (1.9.0+dfsg-2) unstable; urgency=medium

  [ Christoph Biedl ]
  * Add missing dependency on libunwind-dev. (Closes: #911712).

  [ Joachim Falk ]
  * Add missing .desktop file and icons for xtigervncviewer. (Closes: #905905).

  [ Mike Gabriel ]
  * debian/*: White-space clean up.
  * debian/control: Comment out one occursion of dh-autoreconf. Thanks lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Oct 2018 10:42:06 +0100

tigervnc (1.9.0+dfsg-1) unstable; urgency=high

  [ Joachim Falk ]
  * Fixed typo in tigervncserver wrapper script (Closes: #881276).
  * In /etc/X11/Xvnc-session, $SHELL should be quoted (Closes: #866061).
  * Updated Vcs-* fields in control to use new gitlab at salsa.debian.org.
  * Fixed underlying reason for bug #880308. Unfortunately, quoting in
    /usr/share/xserver-xorg/configure_flags.mk is fucked up in buster and
    ${xxx} is not escaped correctly. We now work around this problem
    and now again use consistent configure flags to build Xtigervnc.
  * Fresh upstream TigerVNC 1.9 (Closes: #877780 and Closes: #873151).

  [ Philipp Wolski ]
  * Added rfbport to supported commandline arguments for
    tightvncserver wrapper (Closes: #867175)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 29 Jul 2018 09:31:03 -0400

tigervnc (1.7.0+dfsg-8) unstable; urgency=high

  [ Joachim Falk ]
  * Applied patch from Chris Lamb to enable reproducible builds
    for TigerVNC (Closes: #865753).

  [ Ola Lundqvist ]
  * Build fix to move lib to usr/lib. A bit tricky case. Closes: #880308.

 -- Ola Lundqvist <opal@debian.org>  Mon, 04 Dec 2017 10:39:19 +0100

tigervnc (1.7.0+dfsg-7) unstable; urgency=high

  [ Joachim Falk ]
  * Fixed the following security vulnerabilities (Closes: #859259):
  - Fix SSecurityVeNCrypt.cxx; SSecurityVeNCrypt::SSecurityVeNCrypt.
    An unauthenticated client can cause a small memory leak in the server.
    (CVE-2017-7392)
  - Fix VNCSConnectionST.cxx VNCSConnectionST::fence. An authenticated client
    can cause a double free, leading to denial of service or potentially code
    execution. (CVE-2017-7393)
  - Fix SSecurityPlain.cxx SSecurityPlain::processMsg. An unauthenticated
    users can crash the server by sending long usernames. (CVE-2017-7394)
  - Fix SMsgReader.cxx SMsgReader::readClientCutText. An authenticated client
    can crash the server by causing an integer overflow. (CVE-2017-7395)
  - Fix CConnection.cxx CConnection::CConnection. An unauthenticated client
    can cause a small memory leak in the server. (CVE-2017-7396)
  * The tigervncserver wrapper script gives up and kills the server it
    just started if it doesn't have its VNC-TCP and X11-unix sockets up and
    running within a second. However, if a machine is a bit bogged down,
    this can prevent starting the server at all, for no good reason.
    Thus, the timeout has been increased to 30 seconds. (Closes: #859141)
  * Refreshed dependencies for Xtigervnc server build from xorg-server-1.19.2
    used in stretch. (Closes: #858048)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 09 Apr 2017 10:38:13 -0400

tigervnc (1.7.0+dfsg-6) unstable; urgency=high

  [ Joachim Falk ]
  * Fix server side cursor support for Xorg server >= 1.19. Closes: #852639
  * Applied upstream patch [PATCH] Fix -inetd not working with xserver >=
    1.19. Closes: #852633.
  * Fixed documentation of default value for -depth option in tigervncserver
    man page.

 -- Ola Lundqvist <opal@debian.org>  Thu, 09 Feb 2017 23:51:56 +0100

tigervnc (1.7.0+dfsg-5) unstable; urgency=medium

  [ Ola Lundqvist ]
  Just added bug closing information for the default depth change.

  [ Joachim Falk ]
  * Changed default -depth from 32 to 24 to heed warning in man Xtigervnc.
    Closes: #854096.

 -- Ola Lundqvist <opal@debian.org>  Sat, 04 Feb 2017 01:55:24 +0100

tigervnc (1.7.0+dfsg-4) unstable; urgency=medium

  * Make sure libtool do not complain about missing symbol.
    Closes: #851842.

 -- Ola Lundqvist <opal@debian.org>  Mon, 30 Jan 2017 13:04:13 +0000

tigervnc (1.7.0+dfsg-3) unstable; urgency=high

  [ Salvatore Bonaccorso ]
  * Fix buffer overflow in ModifiablePixelBuffer::fillRect (CVE-2017-5581)
    (Closes: #852213)

  [ Joachim Falk ]
  * Shut up lintian manpage-has-errors-from-man for vnc.conf.5x.gz
    Basically the default value for $sslAutoGenCertCommand is too large
    to fit into a 80 column manpage output. Broke that into multiple
    lines.

 -- Ola Lundqvist <opal@debian.org>  Sat, 28 Jan 2017 21:08:53 +0100

tigervnc (1.7.0+dfsg-2) unstable; urgency=high

  [ Ola Lundqvist ]
  * Increased the update-alternatives priority so that this package will
    have precedence over tightvnc and vnc4 that we hope to soon replace.

  [ Joachim Falk ]
  * Fixed spurious next cmd; in tigervncserver wrapper script. Leads to bug if
    tigervnc-common package is also installed. Closes: #849996 and
    Closes: #850054.
  * Fixed bug if killing a non-existing tigervncserver, i.e.,
    tigervncserver -kill :17
    Use of uninitialized value $pid in concatenation (.) or string at
    /usr/bin/tigervncserver line 493.
    Can't kill a non-numeric process ID at /usr/bin/tigervncserver line 495.
    Killing Xtigervnc process ID ...
  * Fixed bug in tigervncserver wrapper script. An option -localhost without
    an argument is true, i.e., only listen on localhost for vnc connections,
    not false!
  * Fixed bug in tigervncserver wrapper script. Correctly propagate -localhost
    option to remote host if tigervncserver should start the Xtigervnc server
    on a remote host via ssh, e.g., as requested by the following command:
      - tigervncserver -localhost no <some remote server>:nn.
  * Fixed bug in tigervncserver wrapper script. Now allow -list and -kill
    commands to be executed on a remote host, e.g., as requested by the
    following commands:
      - tigervncserver -kill <some remote server>[:nn] or
      - tigervncserver -list <some remote server>.
  * Feature: Be a little more helpful after a remote tigervncserver sessions
    has been started. Give the user the xtigervncviewer command that can be
    used to connect to the started remote session.
  * Fixed support for security types Plain, TLSPlain, and X509Plain. We now
    have support for the -SecurityTypes option in the tigervncserver wrapper
    script. Moreover, we now ship a tigervnc PAM service file required for
    password authentication via PAM in the tigervncserver-common package. The
    presence of tigervncserver-common will also be checked by the
    tigervncserver wrapper script if at least one of the three plain security
    types is used.
  * Feature: Better support for security types X509None, X509Vnc, and
    X509Plain.  We now have support for the -X509Cert and -X509Key options in
    the tigervncserver wrapper script. Moreover, if the user does not specify
    a certificate and key when at least one of the three X509 security types
    is used, then we will generate a self signed certificate for the tigervnc
    server if it is not already present.
  * Update the descriptions in /etc/vnc.conf to conform to the real behavior
    and options of the tigervncserver wrapper script. Reordered default option
    definitions in the tigervncserver wrapper script to conform to the order
    the options are documented in the /etc/vnc.conf configuration file.
  * Fixed bug in tigervncserver wrapper script. The option $getDefaultFrom is
    documented in the /etc/vnc.conf configuration file, but was ignored in the
    wrapper script.
  * Some love for the -xdisplaydefaults and -wmDecoration options. Now only
    apply -wmDecoration shrinkage if -xdisplaydefaults is used.  The geometry
    specified in /etc/vnc.conf and ~/.vnc/vnc.conf is no longer influenced by
    wmDecoration. This is now the same behavior as the geometry specified by
    the commonalind via -g NNxMM. Morover, use reasonable defaults for
    -wmDecoration for the desktops contained in debian stretch.
  * Fixed bug in tigervncserver wrapper script. The option -useold should
    start a tigervncserver if it is not already running and not complain that
    there is none running. This already worked when a desired display number
    was given, but did not work when no display number was specified.
  * Updated tigervncserver man page.
  * Feature: Implement the -xstartup and -noxstartup options in the
    tigervncserver wrapper script. These options are from the vncserver
    wrapper script shipped with TigerVNC. Let our startup script be compatible
    with theirs. These options are already documented in the updated
    tigervncserver man page.
  * Security hardening: The user can easily expose a VNC server to the
    internet without any authentication by specifying tigervncserver
    -localhost no -SecurityTypes None|TLSNone|X509None.  Moreover, previously
    we switched the default from -localhost yes to -localhost no when a TLS*
    or X509* security type was given via -SecurityTypes. From now on, we will
    give a stern warning and refuse to start the VNC server when a *None
    security type is combined with -localhost no. To continue, the user has to
    provide the option --I-KNOW-THIS-IS-INSECURE.  If a *None security type is
    used with localhost access, the user will merely get a polite warning.
  * Fixed bug in tigervncserver wrapper script when options are forwarded to a
    remote tigervncserver script. In this case, the ssh call introduces one
    level of shell execution. Thus, the options must be shell escaped.
  * Updated vnc.conf man page.

 -- Ola Lundqvist <opal@debian.org>  Thu, 05 Jan 2017 23:35:23 +0100

tigervnc (1.7.0+dfsg-1) unstable; urgency=high

  [ Joachim Falk ]
  * Make include /usr/share/xserver-xorg/configure_flags.mk optional.
    This change enables the creation of a source deb without having all the
    build dependencies installed, i.e., dpkg-buildpackage -d -S.
  * Fixed stale pidfile condition detection and cleanup in tigervncserver
    wrapper script.
  * Fixed syntax error in tigervncserver wrapper script. Closes: #849963.
  * Fixed default startup script generation in tigervncserver wrapper script
    if the user specifies a custom vncStartup, e.g.,
    $vncStartup = "$ENV{HOME}/.vnc/Xvnc-session"; in ~/.vnc/vnc.conf

  [ Liang Guo ]
  * Generate 1.7.0+dfsg.orig
  * Refresh d/copyright

  [ Ola Lundqvist ]
  * Updated the package descriptions.

 -- Ola Lundqvist <opal@debian.org>  Mon, 02 Jan 2017 22:51:08 +0100

tigervnc (1.7.0-2) unstable; urgency=high

  * Most of CVE-2014-8241 was already corrected but this update correct
    one missing part of that CVE. Closes: #849478.
  * Added a versioned dependency on xorg source.

 -- Ola Lundqvist <opal@debian.org>  Thu, 29 Dec 2016 22:04:35 +0000

tigervnc (1.7.0-1) unstable; urgency=high

  * Fresh upstream that help to solve #843543.
   - Modified a special patch for VeNCrypt support as it all parts that made
     sense is already in there.
   - Removed a few patches that are already applied upstream.
   - Did quilt refresh on a few more.
  * Correction to make it build against xorg source 1.19. Closes: #843543.
  * Security correction for CVE-2014-8240 that corrects an integer overflow
    flaw, leading to a heap-based buffer overflow in screen size handling.
    Closes: #849479.
  * Security correction for CVE-2014-8240 that corrects an integer overflow
    flaw, leading to a heap-based buffer overflow in screen size handling.
    Closes: #849479.

 -- Ola Lundqvist <opal@debian.org>  Mon, 28 Nov 2016 23:20:20 +0100

tigervnc (1.6.0+dfsg-4) unstable; urgency=medium

  * Re-build to solve library dependency problem. Closes: #841288.

 -- Ola Lundqvist <opal@debian.org>  Thu, 20 Oct 2016 22:39:36 +0200

tigervnc (1.6.0+dfsg-3) unstable; urgency=medium

  * Vncviewer alternatives are now correctly removed at package removal.
    Closes: #840828.
  * Improved the debian/rules clean target.
  * Update alternatives gracefully handle non-existing files so the check
    is removed to ensure it is called in all cases.

 -- Ola Lundqvist <opal@debian.org>  Sat, 15 Oct 2016 22:42:51 +0200

tigervnc (1.6.0+dfsg-2) unstable; urgency=medium

  [ Ola Lundqvist ]
  * Corrected debian/copyright to fix all lintian warnings.
  * Fixed a clean problem in debian/rules that prevented dh_clean from
    being run.
  * Adjusted one of the patch files to allow building also on jessie.

  [ Yaroslav Halchenko ]
  * In hope again to provide acceptable Debian package (Closes: #650394)
  * debian/copyright
    - minor reformatting to avoid spurious tabs, trailing spaces
    - disambiguate short license names for two pieces with BSD-style licenses

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 04 Sep 2016 22:34:45 -0400

tigervnc (1.6.0+dfsg-1) UNRELEASED; urgency=medium

  * Fresh attempt to upload to unstable
  * New upstrem release
  * All active patches placed under debian/patches
    - Refresh all patches
    - add fix-build-error-with-xserver-1.18.patch
  * Updated standards version to 3.9.8
  * Switch to canonical URI for Vcs- fields
  * Remove win directory for DFSG-compatible
  * Bump compat to version 9

 -- Liang Guo <guoliang@debian.org>  Sat, 11 Jun 2016 11:43:28 +0800

tigervnc (1.5.0-1) UNRELEASED; urgency=medium

  [ Yaroslav Halchenko ]
  * Fresh upstream
  * debian/patchdir
    - dropped 0001-xorg-fix-glx-compile.patch (underlying sources are gone)
    - disabled 0200-add-tcpwrappers-support.patch due to most probably it
      being incorrect and leading to stalls and segfaults ATM.

   [ Ola Lundqvist ]
   * Dependency improvements based on vnc4 and tightvnc package knowledge.
    - Removed unnecessary dependencies.
    - Changed some dependencies to recommendations.
    - Changed some dependencies to suggestions.
    - Package description updates.
   * Updated standards version to 3.9.6.

 -- Ola Lundqvist <opal@debian.org>  Wed, 27 Jan 2016 20:23:47 +0100

tigervnc (1.4.90-1) UNRELEASED; urgency=medium

  * Fresh upstream version
  * debian/rules
    - use xserver117.patch
  * debian/patchdir
    - few patches dropped and some updated
  * debian/control
    - require fltk >= 1.3.3 (will not build otherwise)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Jul 2015 10:28:49 -0400

tigervnc (1.4.3-1) UNRELEASED; urgency=medium

  * Switch to upstream version 1.4.3 of tigervnc

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 24 May 2015 23:25:35 +0200

tigervnc (1.4.1-2) UNRELEASED; urgency=medium

  * Try to be more compatible with tightvncserver and vnc4server regarding
    registered alternatives

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 24 May 2015 21:57:42 +0200

tigervnc (1.4.1-1) UNRELEASED; urgency=medium

  * Switch to upstream version 1.4.1 of tigervnc

 -- Joachim Falk <joachim.falk@gmx.de>  Sat, 03 Jan 2015 06:47:29 +0100

tigervnc (1.3.1-1) UNRELEASED; urgency=medium

  [ Matthias Klose ]
  * Updated packaging for TigerVNC 1.3.1
  * debian/control
    - boost policy compliance to 3.9.5
    - build-depend on libfltk1.3-dev (with patch to avoid searching
      for it) and xserver-xorg-dev
  * debian/rules
    - use dpkg-buildflags for *FLAGS
    - include /usr/share/xserver-xorg/configure_flags.mk and use
      it for xorg configure flags (after some filtering)
  * debian/patchdir
    - many patches updated, some removed, and bulk added

  [ Yaroslav Halchenko ]
  * Second re-upload to Debian proper
  * debian/gbp.conf
    - filter out contrib/packages which now carries copies of xorg-server
    - use pristine-tar
  * debian/rules
    - adjust for configure_flags.mk shipped in Debian xorg 2:1.16.0-2
  * debian/copyright
    - removed obsolete section on xorg-server and adjusted years for TigerVNC
      copyright
  * debian/control
    - build-depend on versioned libgnutls28-dev due to conflicts (see #731175)
    - added libepoxy-dev to build-depends
  * debian/patchdir/xserver116.patch
    - xserver114.patch updated to be compatible with xserver-xorg 1.16

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Sep 2014 16:08:45 -0400

tigervnc (1.3.0+X1.15.0-1) UNRELEASED; urgency=low

  * debian/{control,rules}
    - Use xorg-server-source source package instead of a convenience
      git submodule of xorg-server

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Jan 2014 15:11:13 -0500

tigervnc (1.2.0+X1.12.4-1) neurodebian; urgency=low

  [ Joachim Falk ]
  * Updated xorg-server to 2:1.12.4-5
  * Support new git wich uses a .git file for submodules instead of .git
    directory
  * Switched to using --create-empty-orig instead of empty pristine-tar
  * debian/README.source
    - Fixed wrong description of tigervnc_<tigervnc-version>+X<xorg-version>.orig.tar.gz

  [ Yaroslav Halchenko ]
  * debian/copyright:
    - Extended to include missing entries
  * debian/README.source
    - Listed the reason to ship/use FLTK library

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Mar 2013 09:14:23 -0400

tigervnc (1.2.0+X1.12.1.902-2) UNRELEASED; urgency=low

  * debian/copyright:
    - Fixed "Format" field for DEP5
    - Slight tune ups for MIT/X11 license keywords
  * debian/gbp.conf
    - added 'submodules = True' so git-buildpackage works out-of-the-git-tree
  * debian/control
    - added myself to uploaders

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 01 Mar 2013 10:55:25 -0500

tigervnc (1.2.0+X1.12.1.902-1) UNRELEASED; urgency=low

  [ Joachim Falk ]
  * Switched to xorg-server used in debian unstable
  * Updated get-orig-source to get pristine-tar info for xorg-server
    from pkg-tigervnc git.
  * Switched debian/xserver.patch to use patch for xorg 110
  * Updated build dependencies in debian/control to conform to the
    xorg-server used in debian unstable
  * Droped patch that got accepted by Xorg upstream:
    0002-xorg-fix-compilation-with-werror-int-to-pointer-cast.patch

  [ Mike Gabriel ]
  * Droped patch that got accepted by Xorg upstream:
    0903-Add-RH-patch-tigervnc11-rh628054-xorg.patch-which-fi.patch
  * Move README.txt to debian/README.source (cf. Debian policy 4.14).
  * Bump standards version to 3.9.3.

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 29 Jun 2012 20:15:27 +0200

tigervnc (1.2.0+X1.7.7-1) UNRELEASED; urgency=low

  [ Joachim Falk ]
  * Fixup built problem with -Werror=format-security
  * Changed pkg version to also include xserver upstream version
  * Switched to 3.0 (quilt) source format
  * Build autogenerated sources fb.h pixman.h fbrop.h in builddir
  * Make no backup files for patches to enable clean unapply without
    .orig files remaining
  * Moved xorg-autoreconf.sh and xserver.patch symlink into debian dir
  * Added missing cmake, pristine-tar, libjpeg-dev build dependencies
  * Removed unneeded fltk build dependency
  * Improved reverse-patches-deautoreconf target in debian/rules
  * Added patches for TigerVNC 1.2.0 from archlinux
    - 0800-archlinux-fixup-gnutls.patch fixes a wrong config check
    - 0898-archlinux-xorg111.patch enables use of xorg server 1.11
    - 0899-archlinux-xorg112.patch enables use of xorg server 1.12
  * Fix spelling error in manpage to shutup lintian
  * Fix spelling error in xorg server to shutup lintian
  * Add homepage field to control to shutup lintian
  * Fix copyright file to shutup lintian
  * Ported over patch for tcpwrappers support from TigerVNC 1.0.90
  * Turn on GnuTLS, PAM, and i18n support via gettext

  [ Mike Gabriel ]
  * Add Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to uploaders.
  * Add libxft-dev as build-dependency.
  * Add libxcursor-dev as build-dependency.
  * Fix lintian issue: maintainer-also-in-uploaders.
  * Fix lintian issue: missing-build-dependency-for-dh_-command dh_autoreconf
    => dh-autoreconf.
  * Fix Vcs-Git: and Vcs-Browser: in /debian/control.
  * Build-depend on debhelper (>= 8).
  * Create stampdir before patch Xorg tree.
  * Add patch: 0002-xorg-fix-compilation-with-werror-int-to-pointer-cast.patch
  * tigervnc-common: split up dh_install into install, manpages and docs.
  * Other binary packages: handle manpages by dh_manpages.

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 06 Jul 2012 23:52:54 +0200

tigervnc (1.2.0-1) UNRELEASED; urgency=low

  * Updated to tigervnc 1.2.0

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 06 Apr 2012 14:25:22 +0200

tigervnc (1.1.90-1) UNRELEASED; urgency=low

  * Updated to tigervnc 1.1.90
  * Updated to xorg-server (2:1.7.7-14) squeeze

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 05 Apr 2012 19:36:26 +0200

tigervnc (1.1.0-2jf) UNRELEASED; urgency=low

  * Added RH patch tigervnc11-ldnow.patch disabling lazy symbol resolution for libvnc.so

  * Added RH patch tigervnc11-rh690245.patch which add TLS encryption to VeNCrypt

      TigerVNC (Xvnc, x0vncserver, the libvnc.so module, and vncviewer) now
      supports TLS encryption (using VeNCrypt) which allows TLS encrypted
      communication between a server and a viewer. (BZ#653491)

  * Added RH patch tigervnc11-rh588342.patch which fixes EQ overflowing bug.

      Xvnc could become unresponsive and the following error message was shown
      in the log: "[mi] EQ overflowing. The server is probably stuck in an
      infinite loop.". This was caused by a large number of user input events
      in the Xvnc event queue, which were being processed too slowly. With
      this update, this issue no longer occurs and the system works as
      expected. (BZ#588342)

  * Add RH patch tigervnc11-rh628054-xorg.patch which fixes vmware keyboard interaction bug.

      Prior to this update, Xvnc (the X VNC server; part of the tigervnc
      package) did not pass keyboard input to a remote VMware workstation
      because it did not take into account types of keyboards which do not
      have modifier keys. With this update, Xvnc recognizes all types of
      keyboards; thus, keyboard input is correctly passed to remote VMware
      workstations. (BZ#628054)

  * Add RH patch tigervnc11-rh645755.patch fix signal interrupted read

      The Xvnc server randomly refused connections when the reading of the
      password file (provided when starting Xvnc with the "-PasswordFile"
      option) was interrupted by a signal. With this update, the loading of a
      password file continues after an interrupt signal is issued and
      connections are no longer refused. (BZ#645755)

  * Apply RH patch tigervnc-viewer-reparent.patch which adds vncviewer embedding support via -Parent option.

  * Apply RH patch tigervnc-102434.patch which adds -passwdInput option to vncviewer.

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 13 Oct 2011 20:12:48 +0200

tigervnc (1.1.0-1jf) UNRELEASED; urgency=low

  * Updated to tigervnc 1.1.0

 -- Joachim Falk <joachim.falk@gmx.de>  Mon, 12 Sep 2011 08:08:35 +0200

tigervnc (1.0.90-3jf) UNRELEASED; urgency=low

  * added tcpwrappers support

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 04 Sep 2011 15:49:07 +0200

tigervnc (1.0.90-2jf) UNRELEASED; urgency=low

  * vncviewer => xvncviewer

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 31 Jul 2011 22:26:46 +0200

tigervnc (1.0.90-1jf) UNRELEASED; urgency=low

  * Initial dpk package

 -- Joachim Falk <joachim.falk@gmx.de>  Sun, 31 Jul 2011 21:36:46 +0200
